#include <bits/stdc++.h>

using namespace std;

int main(int argc, char** argv)
{
	
	long int n;
	cin >> n;
	
	double A[n];
	double B[n];

	for(long int i = 0 ; i < n; i++)
	 	cin >> A[i] >> B[i];	 	
	
	double zarada[n];

	for(long int i = 0; i < n; i++)
	 	for(long int j = 0; j < n; j++)
	 	 	if(B[j] >= B[i])
	 	 	  	zarada[i] += A[j]*B[i]/100;
	
	double max =0;

	for(long int i =0; i < n; i++)
	 	if(zarada[i]>max)
	 		max = zarada[i];
	 
	cout << std::setprecision (15) << max;
	
	return 0;
}